読者です 読者をやめる 読者になる 読者になる

渋谷ほととぎす通信

完全趣味でやってるUnityメモ。説明できないところを説明できるようにするための個人ブログ。昨日の自分より少しでも大きく慣れるように。。。 ※所属団体とは一切関係がありません

エラー "Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo."の対応


f:id:esakun:20150924003502p:plain

gitのcloneコマンドを実行しようとしたら見慣れぬエラーが出てしまいました。

Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.

内容の通り、Xcodeを実行して、Requireしなさいとのこと。

f:id:esakun:20150924003717p:plain

Agreeをクリックします。

再度cloneコマンドを実行します。 すると、初回のみ以下のようなログが出力されますが、2回目以降表示されないし、正常にcloneされているようなので、一旦無視しました。

2015-09-24 00:38:29.706 xcodebuild[1282:148297] [MT] PluginLoading: Required plug-in compatibility UUID 0420B86A-AA43-4792-9ED0-6FE0F2B16A13 for plug-in at path '~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/Unity4XC.xcplugin' not present in DVTPlugInCompatibilityUUIDs

タイトルのエラーが出た場合は、まずはXcodeを立ち上げてAgreeすればよいかと思います。

ちなみに私の場合は、Xcodeのバージョンアップした時に発生しました。

【参考記事】
qiita.com